$project-info-card-accordion-padding: 0.5rem;

.project-info-card-accordion {
  display: flex;
  flex-flow: row nowrap;
  align-items: center;
  text-align: left;

  color: whitesmoke;
  background-color: $dark-mode;

  margin-bottom: 1rem;
  min-height: 7.5vh;

  cursor: pointer;
  transition: 0.3s;
}

.project-info-card-accordion-title {
  display: flex;
  align-items: center;

  font-family: $default-font;
  font-weight: bold;

  box-sizing: border-box;
  min-height: 7.5vh;
  width: 95%;
  margin: 0;
  padding: $project-info-card-accordion-padding;
  padding-right: 0;
}

.project-info-card-accordion-title-edit {
  height: 100%;
  width: 7.5%;

  padding: $project-info-card-accordion-padding;
  padding-left: 0.25rem;
  padding-right: 0.25rem;
}

.project-info-card-accordion-exclamation {
  box-sizing: border-box;
  height: 100%;
  width: 7.5%;
  text-align: center;

  margin: $project-info-card-accordion-padding;
  margin-left: 0.25rem;
  margin-right: 0.25rem;
}

.project-info-card-panel {
  display: flex;
  flex-direction: column;
  align-items: center;

  box-sizing: border-box;
  width: 95vw;
  max-height: 60vh;

  background-color: $dark-mode;
  overflow-y: scroll;
  transition: 0.5s;
  
  border-radius: 3px;
  box-shadow: 0px 0px 3px 0px $border-shadow;
  margin: 0 auto 0.3rem auto;
}

.project-info-card-panel::-webkit-scrollbar {
  display: none;
}

.project-info-card-panel-closed {
  border: 0;
  margin: 0 auto 0 auto;
  max-height: 0px;
}

.project-info-card-panel-button {
  border: black solid 1px;
  margin-bottom: 1vh;
}

.project-info-card-text {
  box-sizing: border-box;
  text-indent: 0.5rem;
  line-height: 1.5;
  padding: 1.5vh 0;
  width: 92%;
  text-align: justify;
  margin: auto;
}

.project-info-card-panel-edit-mode-input {
  box-sizing: border-box;
  font-family: $default-font;
  font-size: 0.9rem;
  width: 92%;
  height: 50vh;
  resize: none;
  margin: 0.5rem auto;
  outline: none;

  text-indent: 0.5rem;
  line-height: 1.5;
  
  overflow-y: scroll;  
}

.project-info-card-panel-edit-mode-buttons-container {
  display: flex;
  flex-flow: row nowrap;
  width: 100%;
  margin-bottom: 0.5rem;
}

.project-info-card-panel-edit-mode-button {
  font-family: $default-font;
  background-color:	#F0F0F0;
  text-align: center;
  margin: auto;
  width: 40vw;
  padding-top: 0.4rem;
  padding-bottom: 0.4rem;
  border-radius: 1rem;
  cursor: pointer;
}


@media only screen and (min-width: 768px) {
  /* For desktop: */
  .project-info-card-accordion-title-edit,
  .project-info-card-accordion-exclamation {
    width: 2.5%;
  }
}